zenilib: zenilib/jni/external/zenilib/zeni_graphics/d3dx9shader.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
d3dx9shader.h File Reference
`#include "d3dx9.h"`

Go to the source code of this file.

## Classes

struct | _D3DXCONSTANT_DESC
struct | _D3DXCONSTANTTABLE_DESC
struct | _D3DXMACRO
struct | _D3DXSEMANTIC
struct | _D3DXSHADER_CONSTANTINFO
struct | _D3DXSHADER_CONSTANTTABLE
struct | _D3DXSHADER_STRUCTMEMBERINFO
struct | _D3DXSHADER_TYPEINFO

## Macros

#define | D3DXAssembleShaderFromFile D3DXAssembleShaderFromFileA
#define | D3DXAssembleShaderFromResource D3DXAssembleShaderFromResourceA
#define | D3DXCompileShaderFromFile D3DXCompileShaderFromFileA
#define | D3DXCompileShaderFromResource D3DXCompileShaderFromResourceA
#define | D3DXCONSTTABLE_LARGEADDRESSAWARE (1 << 17)
#define | D3DXPreprocessShaderFromFile D3DXPreprocessShaderFromFileA
#define | D3DXPreprocessShaderFromResource D3DXPreprocessShaderFromResourceA
#define | D3DXSHADER_AVOID_FLOW_CONTROL (1 << 9)
#define | D3DXSHADER_DEBUG (1 << 0)
#define | D3DXSHADER_ENABLE_BACKWARDS_COMPATIBILITY (1 << 12)
#define | D3DXSHADER_FORCE_PS_SOFTWARE_NOOPT (1 << 7)
#define | D3DXSHADER_FORCE_VS_SOFTWARE_NOOPT (1 << 6)
#define | D3DXSHADER_IEEE_STRICTNESS (1 << 13)
#define | D3DXSHADER_NO_PRESHADER (1 << 8)
#define | D3DXSHADER_OPTIMIZATION_LEVEL0 (1 << 14)
#define | D3DXSHADER_OPTIMIZATION_LEVEL1 0
#define | D3DXSHADER_OPTIMIZATION_LEVEL2 ((1 << 14) | (1 << 15))
#define | D3DXSHADER_OPTIMIZATION_LEVEL3 (1 << 15)
#define | D3DXSHADER_PACKMATRIX_COLUMNMAJOR (1 << 4)
#define | D3DXSHADER_PACKMATRIX_ROWMAJOR (1 << 3)
#define | D3DXSHADER_PARTIALPRECISION (1 << 5)
#define | D3DXSHADER_PREFER_FLOW_CONTROL (1 << 10)
#define | D3DXSHADER_SKIPOPTIMIZATION (1 << 2)
#define | D3DXSHADER_SKIPVALIDATION (1 << 1)
#define | D3DXSHADER_USE_LEGACY_D3DX9_31_DLL (1 << 16)
#define | D3DXTX_VERSION(_Major, _Minor) (('T' << 24) | ('X' << 16) | ((_Major) << 8) | (_Minor))
#define | INTERFACE ID3DXConstantTable
#define | INTERFACE ID3DXTextureShader
#define | INTERFACE ID3DXInclude

## Typedefs

typedef struct _D3DXCONSTANT_DESC | D3DXCONSTANT_DESC
typedef struct _D3DXCONSTANTTABLE_DESC | D3DXCONSTANTTABLE_DESC
typedef LPCSTR | D3DXHANDLE
typedef enum _D3DXINCLUDE_TYPE | D3DXINCLUDE_TYPE
typedef struct _D3DXMACRO | D3DXMACRO
typedef enum _D3DXPARAMETER_CLASS | D3DXPARAMETER_CLASS
typedef enum _D3DXPARAMETER_TYPE | D3DXPARAMETER_TYPE
typedef enum _D3DXREGISTER_SET | D3DXREGISTER_SET
typedef struct _D3DXSEMANTIC | D3DXSEMANTIC
typedef struct _D3DXSHADER_CONSTANTINFO | D3DXSHADER_CONSTANTINFO
typedef struct _D3DXSHADER_CONSTANTTABLE | D3DXSHADER_CONSTANTTABLE
typedef struct _D3DXSHADER_STRUCTMEMBERINFO | D3DXSHADER_STRUCTMEMBERINFO
typedef struct _D3DXSHADER_TYPEINFO | D3DXSHADER_TYPEINFO
typedef interface ID3DXConstantTable | ID3DXConstantTable
typedef interface ID3DXInclude | ID3DXInclude
typedef interface ID3DXTextureShader | ID3DXTextureShader
typedef struct _D3DXCONSTANT_DESC * | LPD3DXCONSTANT_DESC
typedef interface ID3DXConstantTable * | LPD3DXCONSTANTTABLE
typedef struct _D3DXCONSTANTTABLE_DESC * | LPD3DXCONSTANTTABLE_DESC
typedef D3DXHANDLE * | LPD3DXHANDLE
typedef interface ID3DXInclude * | LPD3DXINCLUDE
typedef enum _D3DXINCLUDE_TYPE * | LPD3DXINCLUDE_TYPE
typedef struct _D3DXMACRO * | LPD3DXMACRO
typedef enum _D3DXPARAMETER_CLASS * | LPD3DXPARAMETER_CLASS
typedef enum _D3DXPARAMETER_TYPE * | LPD3DXPARAMETER_TYPE
typedef enum _D3DXREGISTER_SET * | LPD3DXREGISTER_SET
typedef struct _D3DXSEMANTIC * | LPD3DXSEMANTIC
typedef struct _D3DXSHADER_CONSTANTINFO * | LPD3DXSHADER_CONSTANTINFO
typedef struct _D3DXSHADER_CONSTANTTABLE * | LPD3DXSHADER_CONSTANTTABLE
typedef struct _D3DXSHADER_STRUCTMEMBERINFO * | LPD3DXSHADER_STRUCTMEMBERINFO
typedef struct _D3DXSHADER_TYPEINFO * | LPD3DXSHADER_TYPEINFO
typedef interface ID3DXTextureShader * | LPD3DXTEXTURESHADER

## Enumerations

enum | _D3DXINCLUDE_TYPE { D3DXINC_LOCAL, D3DXINC_SYSTEM, D3DXINC_FORCE_DWORD = 0x7fffffff }
enum | _D3DXPARAMETER_CLASS { D3DXPC_SCALAR, D3DXPC_VECTOR, D3DXPC_MATRIX_ROWS, D3DXPC_MATRIX_COLUMNS, D3DXPC_OBJECT, D3DXPC_STRUCT, D3DXPC_FORCE_DWORD = 0x7fffffff }

enum

_D3DXPARAMETER_TYPE {
D3DXPT_VOID, D3DXPT_BOOL, D3DXPT_INT, D3DXPT_FLOAT,
D3DXPT_STRING, D3DXPT_TEXTURE, D3DXPT_TEXTURE1D, D3DXPT_TEXTURE2D,
D3DXPT_TEXTURE3D, D3DXPT_TEXTURECUBE, D3DXPT_SAMPLER, D3DXPT_SAMPLER1D,
D3DXPT_SAMPLER2D, D3DXPT_SAMPLER3D, D3DXPT_SAMPLERCUBE, D3DXPT_PIXELSHADER,
D3DXPT_VERTEXSHADER, D3DXPT_PIXELFRAGMENT, D3DXPT_VERTEXFRAGMENT, D3DXPT_UNSUPPORTED,
D3DXPT_FORCE_DWORD = 0x7fffffff
}

enum | _D3DXREGISTER_SET { D3DXRS_BOOL, D3DXRS_INT4, D3DXRS_FLOAT4, D3DXRS_SAMPLER, D3DXRS_FORCE_DWORD = 0x7fffffff }

## Functions

HRESULT WINAPI | D3DXAssembleShader (LPCSTR pSrcData, UINT SrcDataLen, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs)
HRESULT WINAPI | D3DXAssembleShaderFromFileA (LPCSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs)
HRESULT WINAPI | D3DXAssembleShaderFromFileW (LPCWSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs)
HRESULT WINAPI | D3DXAssembleShaderFromResourceA (HMODULE hSrcModule, LPCSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs)
HRESULT WINAPI | D3DXAssembleShaderFromResourceW (HMODULE hSrcModule, LPCWSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs)
HRESULT WINAPI | D3DXCompileShader (LPCSTR pSrcData, UINT SrcDataLen, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pFunctionName, LPCSTR pProfile, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs, LPD3DXCONSTANTTABLE *ppConstantTable)
HRESULT WINAPI | D3DXCompileShaderFromFileA (LPCSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pFunctionName, LPCSTR pProfile, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs, LPD3DXCONSTANTTABLE *ppConstantTable)
HRESULT WINAPI | D3DXCompileShaderFromFileW (LPCWSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pFunctionName, LPCSTR pProfile, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs, LPD3DXCONSTANTTABLE *ppConstantTable)
HRESULT WINAPI | D3DXCompileShaderFromResourceA (HMODULE hSrcModule, LPCSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pFunctionName, LPCSTR pProfile, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs, LPD3DXCONSTANTTABLE *ppConstantTable)
HRESULT WINAPI | D3DXCompileShaderFromResourceW (HMODULE hSrcModule, LPCWSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pFunctionName, LPCSTR pProfile, DWORD Flags, LPD3DXBUFFER *ppShader, LPD3DXBUFFER *ppErrorMsgs, LPD3DXCONSTANTTABLE *ppConstantTable)
HRESULT WINAPI | D3DXCreateTextureShader (CONST DWORD *pFunction, LPD3DXTEXTURESHADER *ppTextureShader)
HRESULT WINAPI | D3DXDisassembleShader (CONST DWORD *pShader, BOOL EnableColorCode, LPCSTR pComments, LPD3DXBUFFER *ppDisassembly)
HRESULT WINAPI | D3DXFindShaderComment (CONST DWORD *pFunction, DWORD FourCC, LPCVOID *ppData, UINT *pSizeInBytes)
LPCSTR WINAPI | D3DXGetPixelShaderProfile (LPDIRECT3DDEVICE9 pDevice)
HRESULT WINAPI | D3DXGetShaderConstantTable (CONST DWORD *pFunction, LPD3DXCONSTANTTABLE *ppConstantTable)
HRESULT WINAPI | D3DXGetShaderConstantTableEx (CONST DWORD *pFunction, DWORD Flags, LPD3DXCONSTANTTABLE *ppConstantTable)
HRESULT WINAPI | D3DXGetShaderInputSemantics (CONST DWORD *pFunction, D3DXSEMANTIC *pSemantics, UINT *pCount)
HRESULT WINAPI | D3DXGetShaderOutputSemantics (CONST DWORD *pFunction, D3DXSEMANTIC *pSemantics, UINT *pCount)
HRESULT WINAPI | D3DXGetShaderSamplers (CONST DWORD *pFunction, LPCSTR *pSamplers, UINT *pCount)
UINT WINAPI | D3DXGetShaderSize (CONST DWORD *pFunction)
DWORD WINAPI | D3DXGetShaderVersion (CONST DWORD *pFunction)
LPCSTR WINAPI | D3DXGetVertexShaderProfile (LPDIRECT3DDEVICE9 pDevice)
HRESULT WINAPI | D3DXPreprocessShader (LPCSTR pSrcData, UINT SrcDataSize, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPD3DXBUFFER *ppShaderText, LPD3DXBUFFER *ppErrorMsgs)
HRESULT WINAPI | D3DXPreprocessShaderFromFileA (LPCSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPD3DXBUFFER *ppShaderText, LPD3DXBUFFER *ppErrorMsgs)
HRESULT WINAPI | D3DXPreprocessShaderFromFileW (LPCWSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPD3DXBUFFER *ppShaderText, LPD3DXBUFFER *ppErrorMsgs)
HRESULT WINAPI | D3DXPreprocessShaderFromResourceA (HMODULE hSrcModule, LPCSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPD3DXBUFFER *ppShaderText, LPD3DXBUFFER *ppErrorMsgs)
HRESULT WINAPI | D3DXPreprocessShaderFromResourceW (HMODULE hSrcModule, LPCWSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPD3DXBUFFER *ppShaderText, LPD3DXBUFFER *ppErrorMsgs)
| DECLARE_INTERFACE (ID3DXInclude)
| DECLARE_INTERFACE_ (ID3DXConstantTable, IUnknown)
| DECLARE_INTERFACE_ (ID3DXTextureShader, IUnknown)
| DEFINE_GUID (IID_ID3DXConstantTable, 0xab3c758f, 0x93e, 0x4356, 0xb7, 0x62, 0x4d, 0xb1, 0x8f, 0x1b, 0x3a, 0x1)
| DEFINE_GUID (IID_ID3DXTextureShader, 0x3e3d67f8, 0xaa7a, 0x405d, 0xa8, 0x57, 0xba, 0x1, 0xd4, 0x75, 0x84, 0x26)

## Macro Definition Documentation

#define D3DXAssembleShaderFromFile D3DXAssembleShaderFromFileA

Definition at line 482 of file d3dx9shader.h.

#define D3DXAssembleShaderFromResource D3DXAssembleShaderFromResourceA

Definition at line 509 of file d3dx9shader.h.

#define D3DXCompileShaderFromFile D3DXCompileShaderFromFileA

Definition at line 597 of file d3dx9shader.h.

#define D3DXCompileShaderFromResource D3DXCompileShaderFromResourceA

Definition at line 630 of file d3dx9shader.h.

#define D3DXCONSTTABLE_LARGEADDRESSAWARE (1 << 17)

Definition at line 107 of file d3dx9shader.h.

#define D3DXPreprocessShaderFromFile D3DXPreprocessShaderFromFileA

Definition at line 907 of file d3dx9shader.h.

#define D3DXPreprocessShaderFromResource D3DXPreprocessShaderFromResourceA

Definition at line 931 of file d3dx9shader.h.

#define D3DXSHADER_AVOID_FLOW_CONTROL (1 << 9)

Definition at line 88 of file d3dx9shader.h.

#define D3DXSHADER_DEBUG (1 << 0)

Definition at line 79 of file d3dx9shader.h.

#define D3DXSHADER_ENABLE_BACKWARDS_COMPATIBILITY (1 << 12)

Definition at line 90 of file d3dx9shader.h.

#define D3DXSHADER_FORCE_PS_SOFTWARE_NOOPT (1 << 7)

Definition at line 86 of file d3dx9shader.h.

#define D3DXSHADER_FORCE_VS_SOFTWARE_NOOPT (1 << 6)

Definition at line 85 of file d3dx9shader.h.

#define D3DXSHADER_IEEE_STRICTNESS (1 << 13)

Definition at line 91 of file d3dx9shader.h.

#define D3DXSHADER_NO_PRESHADER (1 << 8)

Definition at line 87 of file d3dx9shader.h.

#define D3DXSHADER_OPTIMIZATION_LEVEL0 (1 << 14)

Definition at line 96 of file d3dx9shader.h.

#define D3DXSHADER_OPTIMIZATION_LEVEL1 0

Definition at line 97 of file d3dx9shader.h.

#define D3DXSHADER_OPTIMIZATION_LEVEL2 ((1 << 14) | (1 << 15))

Definition at line 98 of file d3dx9shader.h.

#define D3DXSHADER_OPTIMIZATION_LEVEL3 (1 << 15)

Definition at line 99 of file d3dx9shader.h.

#define D3DXSHADER_PACKMATRIX_COLUMNMAJOR (1 << 4)

Definition at line 83 of file d3dx9shader.h.

#define D3DXSHADER_PACKMATRIX_ROWMAJOR (1 << 3)

Definition at line 82 of file d3dx9shader.h.

#define D3DXSHADER_PARTIALPRECISION (1 << 5)

Definition at line 84 of file d3dx9shader.h.

#define D3DXSHADER_PREFER_FLOW_CONTROL (1 << 10)

Definition at line 89 of file d3dx9shader.h.

#define D3DXSHADER_SKIPOPTIMIZATION (1 << 2)

Definition at line 81 of file d3dx9shader.h.

#define D3DXSHADER_SKIPVALIDATION (1 << 1)

Definition at line 80 of file d3dx9shader.h.

#define D3DXSHADER_USE_LEGACY_D3DX9_31_DLL (1 << 16)

Definition at line 92 of file d3dx9shader.h.

#define D3DXTX_VERSION | ( |  | _Major,
|  |  | _Minor
| ) |  | (('T' << 24) | ('X' << 16) | ((_Major) << 8) | (_Minor))

Definition at line 22 of file d3dx9shader.h.

#define INTERFACE ID3DXConstantTable

Definition at line 409 of file d3dx9shader.h.

#define INTERFACE ID3DXTextureShader

Definition at line 409 of file d3dx9shader.h.

#define INTERFACE ID3DXInclude

Definition at line 409 of file d3dx9shader.h.

## Typedef Documentation

typedef struct _D3DXCONSTANT_DESC D3DXCONSTANT_DESC

typedef struct _D3DXCONSTANTTABLE_DESC D3DXCONSTANTTABLE_DESC

typedef LPCSTR D3DXHANDLE

Definition at line 119 of file d3dx9shader.h.

typedef enum _D3DXINCLUDE_TYPE D3DXINCLUDE_TYPE

typedef struct _D3DXMACRO D3DXMACRO

typedef enum _D3DXPARAMETER_CLASS D3DXPARAMETER_CLASS

typedef enum _D3DXPARAMETER_TYPE D3DXPARAMETER_TYPE

typedef enum _D3DXREGISTER_SET D3DXREGISTER_SET

typedef struct _D3DXSEMANTIC D3DXSEMANTIC

typedef struct _D3DXSHADER_CONSTANTINFO D3DXSHADER_CONSTANTINFO

typedef struct _D3DXSHADER_CONSTANTTABLE D3DXSHADER_CONSTANTTABLE

typedef struct _D3DXSHADER_STRUCTMEMBERINFO D3DXSHADER_STRUCTMEMBERINFO

typedef struct _D3DXSHADER_TYPEINFO D3DXSHADER_TYPEINFO

typedef interface ID3DXConstantTable ID3DXConstantTable

Definition at line 268 of file d3dx9shader.h.

typedef interface ID3DXInclude ID3DXInclude

Definition at line 405 of file d3dx9shader.h.

typedef interface ID3DXTextureShader ID3DXTextureShader

Definition at line 317 of file d3dx9shader.h.

typedef struct _D3DXCONSTANT_DESC * LPD3DXCONSTANT_DESC

typedef interface ID3DXConstantTable* LPD3DXCONSTANTTABLE

Definition at line 269 of file d3dx9shader.h.

typedef struct _D3DXCONSTANTTABLE_DESC * LPD3DXCONSTANTTABLE_DESC

typedef D3DXHANDLE* LPD3DXHANDLE

Definition at line 123 of file d3dx9shader.h.

typedef interface ID3DXInclude* LPD3DXINCLUDE

Definition at line 406 of file d3dx9shader.h.

typedef enum _D3DXINCLUDE_TYPE * LPD3DXINCLUDE_TYPE

typedef struct _D3DXMACRO * LPD3DXMACRO

typedef enum _D3DXPARAMETER_CLASS * LPD3DXPARAMETER_CLASS

typedef enum _D3DXPARAMETER_TYPE * LPD3DXPARAMETER_TYPE

typedef enum _D3DXREGISTER_SET * LPD3DXREGISTER_SET

typedef struct _D3DXSEMANTIC * LPD3DXSEMANTIC

typedef struct _D3DXSHADER_CONSTANTINFO * LPD3DXSHADER_CONSTANTINFO

typedef struct _D3DXSHADER_CONSTANTTABLE * LPD3DXSHADER_CONSTANTTABLE

typedef struct _D3DXSHADER_STRUCTMEMBERINFO * LPD3DXSHADER_STRUCTMEMBERINFO

typedef struct _D3DXSHADER_TYPEINFO * LPD3DXSHADER_TYPEINFO

typedef interface ID3DXTextureShader* LPD3DXTEXTURESHADER

Definition at line 325 of file d3dx9shader.h.

## Enumeration Type Documentation

enum _D3DXINCLUDE_TYPE

Enumerator
D3DXINC_LOCAL |
D3DXINC_SYSTEM |
D3DXINC_FORCE_DWORD |

Definition at line 378 of file d3dx9shader.h.

enum _D3DXPARAMETER_CLASS

Enumerator
D3DXPC_SCALAR |
D3DXPC_VECTOR |
D3DXPC_MATRIX_ROWS |
D3DXPC_MATRIX_COLUMNS |
D3DXPC_OBJECT |
D3DXPC_STRUCT |
D3DXPC_FORCE_DWORD |

Definition at line 176 of file d3dx9shader.h.

enum _D3DXPARAMETER_TYPE

Enumerator
D3DXPT_VOID |
D3DXPT_BOOL |
D3DXPT_INT |
D3DXPT_FLOAT |
D3DXPT_STRING |
D3DXPT_TEXTURE |
D3DXPT_TEXTURE1D |
D3DXPT_TEXTURE2D |
D3DXPT_TEXTURE3D |
D3DXPT_TEXTURECUBE |
D3DXPT_SAMPLER |
D3DXPT_SAMPLER1D |
D3DXPT_SAMPLER2D |
D3DXPT_SAMPLER3D |
D3DXPT_SAMPLERCUBE |
D3DXPT_PIXELSHADER |
D3DXPT_VERTEXSHADER |
D3DXPT_PIXELFRAGMENT |
D3DXPT_VERTEXFRAGMENT |
D3DXPT_UNSUPPORTED |
D3DXPT_FORCE_DWORD |

Definition at line 195 of file d3dx9shader.h.

enum _D3DXREGISTER_SET

Enumerator
D3DXRS_BOOL |
D3DXRS_INT4 |
D3DXRS_FLOAT4 |
D3DXRS_SAMPLER |
D3DXRS_FORCE_DWORD |

Definition at line 159 of file d3dx9shader.h.

## Function Documentation

HRESULT WINAPI D3DXAssembleShader | ( | LPCSTR | pSrcData,
|  | UINT | SrcDataLen,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

HRESULT WINAPI D3DXAssembleShaderFromFileA | ( | LPCSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

HRESULT WINAPI D3DXAssembleShaderFromFileW | ( | LPCWSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

HRESULT WINAPI D3DXAssembleShaderFromResourceA | ( | HMODULE | hSrcModule,
|  | LPCSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

HRESULT WINAPI D3DXAssembleShaderFromResourceW | ( | HMODULE | hSrcModule,
|  | LPCWSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

HRESULT WINAPI D3DXCompileShader | ( | LPCSTR | pSrcData,
|  | UINT | SrcDataLen,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pFunctionName,
|  | LPCSTR | pProfile,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs,
|  | LPD3DXCONSTANTTABLE * | ppConstantTable
| ) |  |

HRESULT WINAPI D3DXCompileShaderFromFileA | ( | LPCSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pFunctionName,
|  | LPCSTR | pProfile,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs,
|  | LPD3DXCONSTANTTABLE * | ppConstantTable
| ) |  |

HRESULT WINAPI D3DXCompileShaderFromFileW | ( | LPCWSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pFunctionName,
|  | LPCSTR | pProfile,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs,
|  | LPD3DXCONSTANTTABLE * | ppConstantTable
| ) |  |

HRESULT WINAPI D3DXCompileShaderFromResourceA | ( | HMODULE | hSrcModule,
|  | LPCSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pFunctionName,
|  | LPCSTR | pProfile,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs,
|  | LPD3DXCONSTANTTABLE * | ppConstantTable
| ) |  |

HRESULT WINAPI D3DXCompileShaderFromResourceW | ( | HMODULE | hSrcModule,
|  | LPCWSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pFunctionName,
|  | LPCSTR | pProfile,
|  | DWORD | Flags,
|  | LPD3DXBUFFER * | ppShader,
|  | LPD3DXBUFFER * | ppErrorMsgs,
|  | LPD3DXCONSTANTTABLE * | ppConstantTable
| ) |  |

HRESULT WINAPI D3DXCreateTextureShader | ( | CONST DWORD * | pFunction,
|  | LPD3DXTEXTURESHADER * | ppTextureShader
| ) |  |

HRESULT WINAPI D3DXDisassembleShader | ( | CONST DWORD * | pShader,
|  | BOOL | EnableColorCode,
|  | LPCSTR | pComments,
|  | LPD3DXBUFFER * | ppDisassembly
| ) |  |

HRESULT WINAPI D3DXFindShaderComment | ( | CONST DWORD * | pFunction,
|  | DWORD | FourCC,
|  | LPCVOID * | ppData,
|  | UINT * | pSizeInBytes
| ) |  |

LPCSTR WINAPI D3DXGetPixelShaderProfile | ( | LPDIRECT3DDEVICE9 | pDevice | ) |

HRESULT WINAPI D3DXGetShaderConstantTable | ( | CONST DWORD * | pFunction,
|  | LPD3DXCONSTANTTABLE * | ppConstantTable
| ) |  |

HRESULT WINAPI D3DXGetShaderConstantTableEx | ( | CONST DWORD * | pFunction,
|  | DWORD | Flags,
|  | LPD3DXCONSTANTTABLE * | ppConstantTable
| ) |  |

HRESULT WINAPI D3DXGetShaderInputSemantics | ( | CONST DWORD * | pFunction,
|  | D3DXSEMANTIC * | pSemantics,
|  | UINT * | pCount
| ) |  |

HRESULT WINAPI D3DXGetShaderOutputSemantics | ( | CONST DWORD * | pFunction,
|  | D3DXSEMANTIC * | pSemantics,
|  | UINT * | pCount
| ) |  |

HRESULT WINAPI D3DXGetShaderSamplers | ( | CONST DWORD * | pFunction,
|  | LPCSTR * | pSamplers,
|  | UINT * | pCount
| ) |  |

UINT WINAPI D3DXGetShaderSize | ( | CONST DWORD * | pFunction | ) |

DWORD WINAPI D3DXGetShaderVersion | ( | CONST DWORD * | pFunction | ) |

LPCSTR WINAPI D3DXGetVertexShaderProfile | ( | LPDIRECT3DDEVICE9 | pDevice | ) |

HRESULT WINAPI D3DXPreprocessShader | ( | LPCSTR | pSrcData,
|  | UINT | SrcDataSize,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPD3DXBUFFER * | ppShaderText,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

HRESULT WINAPI D3DXPreprocessShaderFromFileA | ( | LPCSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPD3DXBUFFER * | ppShaderText,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

HRESULT WINAPI D3DXPreprocessShaderFromFileW | ( | LPCWSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPD3DXBUFFER * | ppShaderText,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

HRESULT WINAPI D3DXPreprocessShaderFromResourceA | ( | HMODULE | hSrcModule,
|  | LPCSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPD3DXBUFFER * | ppShaderText,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

HRESULT WINAPI D3DXPreprocessShaderFromResourceW | ( | HMODULE | hSrcModule,
|  | LPCWSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPD3DXBUFFER * | ppShaderText,
|  | LPD3DXBUFFER * | ppErrorMsgs
| ) |  |

DECLARE_INTERFACE | ( | ID3DXInclude |  | ) |

Definition at line 411 of file d3dx9shader.h.

References UINT().

DECLARE_INTERFACE_ | ( | ID3DXConstantTable | ,
|  | IUnknown |
| ) |  |

Definition at line 279 of file d3dx9shader.h.

References BOOL(), DWORD(), INT(), LPVOID(), and UINT().

DECLARE_INTERFACE_ | ( | ID3DXTextureShader | ,
|  | IUnknown |
| ) |  |

Definition at line 334 of file d3dx9shader.h.

References BOOL(), INT(), LPVOID(), and UINT().

DEFINE_GUID | ( | IID_ID3DXConstantTable | ,
|  | 0xab3c758f | ,
|  | 0x93e | ,
|  | 0x4356 | ,
|  | 0xb7 | ,
|  | 0x62 | ,
|  | 0x4d | ,
|  | 0xb1 | ,
|  | 0x8f | ,
|  | 0x1b | ,
|  | 0x3a | ,
|  | 0x1 |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXTextureShader | ,
|  | 0x3e3d67f8 | ,
|  | 0xaa7a | ,
|  | 0x405d | ,
|  | 0xa8 | ,
|  | 0x57 | ,
|  | 0xba | ,
|  | 0x1 | ,
|  | 0xd4 | ,
|  | 0x75 | ,
|  | 0x84 | ,
|  | 0x26 |
| ) |  |